Bug 732092 - [abrt] nautilus-3.0.2-1.fc15: Process /usr/bin/nautilus was killed by signal 11 (SIGSEGV)
Summary: [abrt] nautilus-3.0.2-1.fc15: Process /usr/bin/nautilus was killed by signal ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:36587282adc9cf62d8a084265db...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-19 18:20 UTC by adam.hunston
Modified: 2015-03-03 23:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 18:51:28 UTC


Attachments (Terms of Use)
File: maps (50.52 KB, text/plain)
2011-08-19 18:20 UTC, adam.hunston
no flags Details

Description adam.hunston 2011-08-19 18:20:40 UTC
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        nautilus
comment:        Looking at movie files
component:      nautilus
crash_function: nautilus_window_slot_get_current_uri
executable:     /usr/bin/nautilus
kernel:         2.6.38.8-35.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        nautilus-3.0.2-1.fc15
reason:         Process /usr/bin/nautilus was killed by signal 11 (SIGSEGV)
time:           Sun Aug 14 22:58:17 2011
uid:            500
username:       adonai

maps:           Text file, 51735 bytes

backtrace:
:BFD: Warning: /home/adonai/.abrt/spool/ccpp-2011-08-14-22:58:17-2199/./coredump is truncated: expected core file size >= 639381504, found: 124633088.
:[New LWP 2199]
:[New LWP 2201]
:[New LWP 2202]
:[New LWP 26103]
:Cannot access memory at address 0x4670c8e8
:Core was generated by `nautilus'.
:Program terminated with signal 11, Segmentation fault.
:#0  nautilus_window_slot_get_current_uri (slot=Cannot access memory at address 0xbfe52110
:) at nautilus-window-slot.c:655
:655	nautilus-window-slot.c: No such file or directory.
:	in nautilus-window-slot.c
:
:Thread 4 (LWP 26103):
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/sysenter.S:49
:No locals.
:Cannot access memory at address 0xaeafd110
:
:Thread 3 (LWP 2202):
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/sysenter.S:49
:No locals.
:Cannot access memory at address 0xb6cff064
:
:Thread 2 (LWP 2201):
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/sysenter.S:49
:No locals.
:Cannot access memory at address 0xb7858074
:
:Thread 1 (LWP 2199):
:#0  nautilus_window_slot_get_current_uri (slot=Cannot access memory at address 0xbfe52110
:) at nautilus-window-slot.c:655
:        __PRETTY_FUNCTION__ = "nautilus_window_slot_get_current_uri"
:Cannot access memory at address 0xbfe5210c
:Cannot access memory at address 0x4670c8e8
:No shared libraries loaded at this time.
:No symbol "__abort_msg" in current context.
:No symbol "__glib_assert_msg" in current context.
:eax            0x0	0
:ecx            0x0	0
:edx            0x0	0
:ebx            0x41fb2430	1106977840
:esp            0xbfe520e0	0xbfe520e0
:ebp            0x9b57948	0x9b57948
:esi            0x8097150	134836560
:edi            0xae32888	182659208
:eip            0x80cfe78	0x80cfe78 <nautilus_window_slot_get_current_uri+8>
:eflags         0x210246	[ PF ZF IF RF ID ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function nautilus_window_slot_get_current_uri:
:   0x080cfe70 <+0>:	lea    -0x2c(%esp),%esp
:   0x080cfe74 <+4>:	mov    0x30(%esp),%edx
:=> 0x080cfe78 <+8>:	mov    0x64(%edx),%eax
:   0x080cfe7b <+11>:	test   %eax,%eax
:   0x080cfe7d <+13>:	je     0x80cfe90 <nautilus_window_slot_get_current_uri+32>
:   0x080cfe7f <+15>:	mov    %eax,0x30(%esp)
:   0x080cfe83 <+19>:	lea    0x2c(%esp),%esp
:   0x080cfe87 <+23>:	jmp    0x80662f0 <g_file_get_uri@plt>
:   0x080cfe8c <+28>:	lea    0x0(%esi,%eiz,1),%esi
:   0x080cfe90 <+32>:	mov    0x3c(%edx),%eax
:   0x080cfe93 <+35>:	test   %eax,%eax
:   0x080cfe95 <+37>:	jne    0x80cfe7f <nautilus_window_slot_get_current_uri+15>
:   0x080cfe97 <+39>:	movl   $0x0,0x10(%esp)
:   0x080cfe9f <+47>:	movl   $0x816ee40,0xc(%esp)
:   0x080cfea7 <+55>:	movl   $0x297,0x8(%esp)
:   0x080cfeaf <+63>:	movl   $0x816eb58,0x4(%esp)
:   0x080cfeb7 <+71>:	movl   $0x0,(%esp)
:   0x080cfebe <+78>:	call   0x8063f20 <g_assertion_message@plt>
:End of assembler dump.

build_ids:
:b443d90fb762e211acf057857ae109bbfaa72ba5
:326df94f631f98135bc6935e58b6da17f3ab50df
:469a6d4a8287d37f2af53649eebc4244aabb547d
:9220155cc75d064b55d74ba9918d92a8993a7d49
:9190b851d4370a49600e8ce4cc4d1dc3dfd61cbe
:ecccc467685f74ec34eb4b267de79b131bd52a65
:854e15ee6e5cd49a8ed51772c2bd46e6df10e1e3
:62520e3bf1b3629e9c995d9d67fed0c0c3dbbac5
:72fbfe913f5a03bf476199dc15471241e432cbca
:dcbdcefc0f9891b7e39b6205dfee3124096b1274
:4fd895838f4851b7eb57d332821a4b476c9eaf6a
:14553fd64c3391287f7266322d8706aebb7e3d5e
:ce4d3325786b03942a9a2a0e9d52c120a1235e47
:3ac825d4a0f2e9e97c7ef4529101ad1e506e4da1
:73913ed3e4986b92d704896134ffd8fe299b1f61
:8ed146ef13dc3212224d18bc94466006d06110c6
:7ff944eeb74d3b51cd2a29d028a5c5c47b07a67e
:6b708592e3795bac610cd96fe3dcb4b0f41f9dc4
:7898be40e00e79c8f83a7c5c358c0f8b9a1c1e94
:0c66f47155090aa88fa0174effc38414db016842
:a8af846c3c02c4ab0d3959b904a32a3e864a73dc
:d58926d5df1adcb5acc5796e99efd5c5ef5537b7
:5d11043710b4b9919873a642fe33143ed2dcd141
:c4ae9c8aa0cf33398aa6b54ee248ad6d95a13f8f
:7bf07d064f2f29e53a37f73f69a0fc9e392f2406
:2f5519406965c5152ecddde4c6c7031b0e567c4e
:de6a505586d1f5b200592e907c5364d38e277c86
:2f63e7b34b9a72daf0754b04f1153b52efae6d51
:2ca8544b0ff9269420c23a0ac22da52b7894148b
:af69c0f02cb41bb1705982dc965f627f2508c9a4
:cfa06afbb7e1ee65a99aa17362f2d172306859c5
:476d9450261a23e2dce1d0d3aeb9f80a371c55f6
:0369d47a5528941d10c753d64df355419b7c6276
:b2bd9978cf3094cf9c0e2a1ef5d4d119838284c1
:1cf8c80624cbcd2a31585e031a0a7f8d4f239203
:7ba35563c74e326b247da65b7c713b0b94815baf
:23c1af7760951ac381b8d0c707ac48694deec0a4
:fddf880599e5ff1380375980e3a391193eeed17d
:1a7b34f361a990a6c7a1a8508e78921d571c623e
:747816413fa20406d858c6607b8591374d65f40a
:45ce3697529f12e6e69c577d4e3a42377ab23915
:15f54c011b56e2756062557c16accf5ae62ba473
:e3affc14305ae684af43c4c39e2cfc9863c38c27
:e20241fcb0aadb243e777cd42cc5fe9d0f780174
:d25eab3e8dee8e3ac41bdb7690c032572a21dddd
:2cd5d6ba7d2f607edcece7cb6ba5297705da6ea9
:eb96f7db2925b8c8b06f14a1af44097c2448d9cf
:61cd649f8b0908619d789a94e6ceea50086e2abb
:17600d834b35234b20c9f8f3f1a049acc4cace8a
:af2d999c3915d5310d07a176b1a471b245771f8c
:9cbd10954ad020efe950e6aa36bf704b9eefe86a
:3958fae2eaaf246abdd1461f67a20f2349716b98
:67d6da2971cf676c28bdefd1e2df30251df56510
:f1f64eda749e606126f0eade9c01aeceb9c73e5d
:e17b15a2753d4e06d006add1aa7aca91b4f94b70
:318e8cdf3f6ff7f6e5062a4eef11d2d8d95fb0b4

dso_list:
:/usr/lib/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1310309446
:/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.32.1-3.fc15.i686 (Fedora Project) 1310277363
:/usr/lib/gtk-3.0/modules/libcanberra-gtk3-module.so libcanberra-gtk3-0.28-3.fc15.i686 (Fedora Project) 1310277363
:/usr/lib/nautilus/extensions-3.0/libnautilus-sound-converter.so nautilus-sound-converter-3.0.1-1.fc15.i686 (Fedora Project) 1310577271
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1310277223
:/usr/lib/gstreamer-0.10/libgstmad.so gstreamer-plugins-ugly-0.10.18-1.fc15.i686 (RPM Fusion) 1311710240
:/usr/lib/nautilus-actions/libna-io-xml.so nautilus-actions-3.1.3-1.fc15.i686 (Fedora Project) 1310577258
:/usr/lib/gio/modules/libdconfsettings.so dconf-0.7.5-1.i686 (Fedora Project) 1310277239
:/usr/lib/nautilus/extensions-3.0/libnautilus-seahorse.so seahorse-plugins-2.91.6-0.1.git1e35fd9.fc15.i686 (Fedora Project) 1310577268
:/usr/lib/gtk-3.0/modules/libatk-bridge.so at-spi2-atk-2.0.1-1.fc15.i686 (Fedora Project) 1310309511
:/usr/lib/nautilus-actions/libna-io-gconf.so nautilus-actions-3.1.3-1.fc15.i686 (Fedora Project) 1310577258
:/usr/lib/gio/modules/libgioremote-volume-monitor.so gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1310309446
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1310277125
:/usr/lib/gstreamer-0.10/libgstffmpeg.so gstreamer-ffmpeg-0.10.11-2.fc15.i686 (RPM Fusion) 1310311332
:/usr/lib/nautilus/extensions-3.0/libevince-properties-page.so evince-nautilus-3.0.2-1.fc15.i686 (Fedora Project) 1310310409
:/usr/lib/libjpeg.so.62.0.0 libjpeg-turbo-1.1.1-1.fc15.i686 (Fedora Project) 1311204579
:/usr/lib/libmad.so.0.2.1 libmad-0.15.1b-13.fc12.i586 (RPM Fusion) 1311710238
:/usr/lib/nautilus/extensions-3.0/libtotem-properties-page.so totem-nautilus-1:3.0.1-2.fc15.i686 (Fedora Project) 1310277593
:/usr/share/fonts/dejavu/DejaVuSansMono.ttf dejavu-sans-mono-fonts-2.33-1.fc15.noarch (Fedora Project) 1310277123
:/usr/lib/nautilus/extensions-3.0/libnautilus-actions-menu.so nautilus-actions-3.1.3-1.fc15.i686 (Fedora Project) 1310577258
:/usr/lib/nautilus/extensions-3.0/libnautilus-gdu.so gnome-disk-utility-nautilus-3.0.0-2.fc15.i686 (Fedora Project) 1310277599
:/usr/lib/nautilus/extensions-3.0/libnautilus-deja-dup.so deja-dup-18.2.1-1.fc15.i686 (Fedora Project) 1310310413
:/usr/lib/nautilus/extensions-3.0/libnautilus-open-terminal.so nautilus-open-terminal-0.19-1.fc15.i686 (Fedora Project) 1310577274
:/usr/lib/nautilus/extensions-3.0/libnautilus-sendto.so nautilus-3.0.2-1.fc15.i686 (Fedora Project) 1310308293
:/usr/lib/gstreamer-0.10/libgstmusepack.so gstreamer-plugins-bad-free-0.10.22-1.fc15.i686 (Fedora Project) 1310307181
:/usr/lib/nautilus/extensions-3.0/libgtkhash-properties.so gtkhash-nautilus-0.3.0-4.fc15.i686 (Fedora Project) 1310846880
:/usr/lib/libmpcdec.so.5.0.2 libmpcdec-1.2.6-7.fc15.i686 (Fedora Project) 1310277301
:/usr/lib/nautilus/extensions-3.0/libnautilus-fileroller.so file-roller-nautilus-3.0.2-1.fc15.i686 (Fedora Project) 1310309490
:/usr/lib/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.0.2-1.fc15.i686 (Fedora Project) 1310309436
:/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1310277125
:/usr/lib/nautilus/extensions-3.0/libnautilus-actions-tracker.so nautilus-actions-3.1.3-1.fc15.i686 (Fedora Project) 1310577258
:/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-jpeg.so gdk-pixbuf2-2.23.3-2.fc15.i686 (Fedora Project) 1310307137
:/usr/lib/nautilus/extensions-3.0/libnautilus-image-converter.so nautilus-image-converter-0.3.1-0.1.git430afce31.fc15.i686 (Fedora Project) 1310577263
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.0.0-2.fc15.noarch (Fedora Project) 1310277227
:/usr/lib/nautilus/extensions-3.0/libnautilus-search-tool.so nautilus-search-tool-0.3.0-10.fc15.i686 (Fedora Project) 1310577262
:/usr/lib/nautilus-actions/libna-io-desktop.so nautilus-actions-3.1.3-1.fc15.i686 (Fedora Project) 1310577258
:/usr/lib/nautilus/extensions-3.0/libnautilus-brasero-extension.so brasero-nautilus-3.0.0-2.fc15.i686 (Fedora Project) 1310277597
:/usr/lib/libgnome-desktop-2.so.17.1.4 gnome-desktop-2.32.0-8.fc15.i686 (Fedora Project) 1310577223

environ:
:XDG_SESSION_ID=1
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=cc33b191024e3de4486cb3fe0000000d-1311988525.764611-92314909
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-TIMXKN
:QTINC=/usr/lib/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=adonai
:USERNAME=adonai
:MAIL=/var/spool/mail/adonai
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/adonai/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/adonai
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1782
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/adonai
:SHLVL=1
:LOGNAME=adonai
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-1163oIgN30,guid=78302375803179088673f01a00000056
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/adonai
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-adonai-yxKoCX/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1790,unix/unix:/tmp/.ICE-unix/1790
:ORBIT_SOCKETDIR=/tmp/orbit-adonai
:GPG_AGENT_INFO=/tmp/keyring-TIMXKN/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-TIMXKN/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1997-localhost.localdomain-nautilus-0_TIME136507
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/nautilus.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2199

var_log_messages:
:Aug 14 22:58:17 localhost abrt[19011]: file /usr/bin/nautilus seems to be deleted
:Aug 14 22:58:17 localhost kernel: [1370657.771449] nautilus[2199]: segfault at 64 ip 080cfe78 sp bfe520e0 error 4 in nautilus (deleted)[8048000+16c000]
:Aug 14 22:59:04 localhost abrt[19011]: saved core dump of pid 2199 (/usr/bin/nautilus) to /var/spool/abrt/ccpp-2011-08-14-22:58:17-2199.new/coredump (124633088 bytes)

Comment 1 adam.hunston 2011-08-19 18:20:44 UTC
Created attachment 519087 [details]
File: maps

Comment 2 adam.hunston 2011-08-19 18:25:14 UTC
Package: nautilus-3.0.2-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Looking at movie files

Comment 3 Fedora End Of Life 2012-08-07 18:51:31 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.